import { type MutableRefObject } from 'react';
export { IterableChannel, type AsyncIterableSubject };
declare class IterableChannel<T> {
    #private;
    put(value: T): void;
    close(): void;
    values: AsyncIterableSubject<T>;
}
type AsyncIterableSubject<T> = {
    value: MutableRefObject<T | undefined>;
    [Symbol.asyncIterator](): {
        next(): Promise<IteratorResult<T, void>>;
        return(): Promise<IteratorReturnResult<void>>;
    };
};
